Class | Sequel::SQL::JoinOnClause
In: | lib/sequel/sql.rb
Parent: | JoinClause

Represents an SQL JOIN clause with ON conditions.

### Methods

new

### Attributes

on | [R] | The conditions for the join

### Public Class methods

new(on, *args)

Create an object with the ON conditions and call super with the remaining args.

[Source]

         # File lib/sequel/sql.rb, line 825
    825:       def initialize(on, *args)
    826:         @on = on
    827:         super(*args)
    828:       end

[Validate]